こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

LinuxでApacheのバージョンアップについて

こんにちわ。
現在RedHatLinux7.3でApacheの1.3.27を使用しているのですが、Apacheのバージョンを上げてみようかと思っております。
1.3.27をインストールしたときはソースをmake、コンパイルしてインストールしたんですが、バージョンをあげる場合はどのようにすればよろしいのでしょうか。
下位バージョンをアンインストールしなければならないのか、そのままバージョンアップが可能なのか・・・など教えていただきたいのですが。
初心者ですが、宜しくお願い致します。

投稿日時 - 2003-03-07 17:58:20

QNo.491924

すぐに回答ほしいです

質問者が選んだベストアンサー

現在、apache1.3系の最新バージョンは1.3.27ですので、
「最新バージョン」とはapache2.0系と考えて回答します。

アンインストールは、必要ありません。
1.3.27をコンパイルしたときには、/usr/local/apacheディレクトリが
作成されたと思うのですが、2.0系は/usr/local/apache2が作成されます。

ですので、1.3系のサービスを停止し、また自動起動を停止してやれば、
何の問題もなく、2.0系を使用することが出来ます。

投稿日時 - 2003-03-07 18:11:22

補足

ありがとうございます。
すごく初歩的な質問で申し訳ありませんが、
自動起動はどこで設定できるのでしょうか。
申し訳ありませんが、教えていただけないでしょうか。

投稿日時 - 2003-03-07 18:39:00

ANo.1

このQ&Aは役に立ちましたか?

0人が「このQ&Aが役に立った」と投票しています

回答(3)

ANo.3

xjd

パッケージ版のApacheを削除していないなら、
/etc/init.d/httpd
というApache起動用シェルがありますので、その中のパス名などを修正すれば
ソース版のApache/Apache2の起動用シェルとして利用できます。

投稿日時 - 2003-03-08 00:47:49

ANo.2

「apache」「自動起動」などで検索すると、いろいろ出てきます。
コンパイルした/usr/local/apache配下にお手本となるスクリプトが
用意されていたようにも思います。(今Linuxが手元にないのでわかりませんが・・・)

ちなみに、最も簡単な自動起動設定は、
/etc/rc.d/rc.local ファイルの最後に、
/usr/local/apache/bin/apachectl start
と記述するというものです。

投稿日時 - 2003-03-08 00:19:02

あなたにオススメの質問